%define oname openAV-Luppp

Name:       luppp
Version:    1.1.1
Release:    %mkrel 5
Group:      Sound/Mixers
Summary:    Live performance mixing tool
License:    GPLv3
URL:        http://openavproductions.com/Luppp
Source0:    https://github.com/openAVproductions/openAV-Luppp/archive/release-%{version}.tar.gz
Source1:    luppp.svg
Source2:    luppp.desktop
Patch0:     luppp-cmake-4.0.patch

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(liblo)
BuildRequires: pkgconfig(ntk)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(samplerate)


%description
Luppp is a music creation tool, intended for live use. It focuses on
real time processing and a fast intuitive workflow. It uses Jack
for audio output.

%prep
%autosetup -p1 -n %{oname}-release-%{version}

sed -i 's|SET(CMAKE_CXX_FLAGS ".*")|SET(CMAKE_CXX_FLAGS "%{optflags}")|' src/CMakeLists.txt
sed -i 's|SET(CMAKE_C_FLAGS ".*")|SET(CMAKE_C_FLAGS "%{optflags}")|' src/CMakeLists.txt

%build
echo '#define GIT_VERSION "%{version}-%{release}"' > src/version.hxx
%cmake -DRELEASE_BUILD=1
%cmake_build

%install
install -p -D %{_vpath_builddir}/src/luppp %{buildroot}%{_bindir}/luppp
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -av resources/controllers %{buildroot}%{_datadir}/%{name}/
cp -av src/resources/luppp.prfs %{buildroot}%{_datadir}/%{name}/
install -p -Dm0644 %SOURCE1 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/luppp.svg

desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE2}

%files
%{_bindir}/luppp
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/applications/*.desktop
%doc LICENSE CHANGELOG README.md 


%changelog
* Fri Jul 04 2025 daviddavid <daviddavid> 1.1.1-5.mga10
+ Revision: 2245059
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 1.1.1-4.mga9
+ Revision: 1838383
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1514950
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1299386
- Mageia 7 Mass Rebuild

* Fri May 05 2017 animtim <animtim> 1.1.1-1.mga6
+ Revision: 1099130
- add group
- clean spec
- fix buildrequires
- add missing mkrel
- imported package luppp

